Skip to main content
Fetch the HTML (or parsed JSON) for any URL
curl --request POST \
  --url https://api.scrapeunblocker.com/getPageSource \
  --header 'x-scrapeunblocker-key: <api-key>'
import requests

url = "https://api.scrapeunblocker.com/getPageSource"

headers = {"x-scrapeunblocker-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'x-scrapeunblocker-key': '<api-key>'}};

fetch('https://api.scrapeunblocker.com/getPageSource', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

x-scrapeunblocker-key
string
header
required

Your ScrapeUnblocker API key. Apply on every request.

Query Parameters

url
string
required
method
string
value
string
proxy_country
string
time_sleep
integer
parsed_data
boolean
default:false
get_cookies
boolean
default:false
method_timeout
integer

Response

Success — body is HTML (or JSON when parsed_data=true / get_cookies=true).